<?
session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='session_invalida.php'; ";
	echo "</script>";
}
include ("clases/Usuario.class.php"); $obju = new Usuario();
include ("clases/Afiliado.class.php"); $obja = new Afiliado();
include ("clases/Familiar.class.php"); $objf = new Familiar();
include ("clases/Ubigeo.class.php"); $objubi = new Ubigeo();
?>
<?

$cod = $_REQUEST['id'];
$Objcli=new Afiliado();

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
<title>MANTENIMIENTO DE CLIENTES</title>
 <meta name="viewport" content="width=device-width, initial-scale=1">
   <link rel="stylesheet" href="media/css/bootstrap.css">
	<link rel="stylesheet" href="media/css/bootstrap.min.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.css">
	<link rel="stylesheet" href="media/css/bootstrap-theme.min.css">
	<link rel="stylesheet" href="media/css/dataTables.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/fixedHeader.bootstrap.min.css">
	<link rel="stylesheet" href="media/css/responsive.bootstrap.min.css">
	 <script src="media/js/jquery-1.10.2.js"></script>
	<script src="media/js/jquery.dataTables.min.js"></script>
	<script src="media/js/dataTables.bootstrap.min.js"></script>
	<script src="media/js/dataTables.fixedHeader.min.js"></script>
	<script src="media/js/dataTables.responsive.min.js"></script>
	<script src="media/js/responsive.bootstrap.min.js"></script>
	
	<script src="media/js/jquery.min.js"></script>
    <script src="media/js/bootstrap.min.js"></script>
	
	<script>
	/*	$(document).ready(function() {
		var table = $('#example').DataTable( {
			responsive: true
		} ); 
			new $.fn.dataTable.FixedHeader( table );
		 });*/
   </script> 
   
   
  <script>
$(document).ready(function(){
  $("#abc").click(function(){
    // if(document.form1.tipodoc.value==""){document.form1.tipodoc.focus();return false;}
     if(document.form1.dni.value==""){document.form1.dni.focus();return false;}
	
    var formulario = $("#formularioaenviar").serializeArray();     
    $.ajax({ //alert("ajax"); 
      type: "POST",
      dataType: 'json',
      url: "consultaDatos.php",
      data: formulario,
    }).done(function(respu){ 	
	   $("#nombres").val(respu.nombre);//quitar luego
	   $("#apepaterno").val(respu.apellidosP);
	   $("#apematerno").val(respu.apellidosM);
	   // $("#tipautoridad").val(respuesta.idtipoautoridad);		   
    });   
  });
   function limpiarformulario(formulario){      
  $(formulario).find('input').each(function() {
      switch(this.type) {
          case 'password':
         // case 'text':
                $(this).val('');
              break;
          case 'checkbox':
          case 'radio':
              this.checked = false;
          }
      });
  
      $(formulario).find('select').each(function() {
          $("#"+this.id + " option[value=0]").attr("selected",true);  
      });	  
  }
});
</script> 
   
   


   <script type="text/javascript">
	function lookup(inputString) {
		if(inputString.length == 0) {
			// Hide the suggestion box.
			$('#suggestions').hide();
		} else {
			$.post("autocompletarubigeo.php", {queryString: ""+inputString+""}, function(data){
				if(data.length >0) {
					$('#suggestions').show();
					$('#autoSuggestionsList').html(data);
				}
			});
		}
	} // lookup
	
	function fill(thisValue,name) {
		$('#inputString2').val(thisValue);
		$('#inputString').val(name);
		setTimeout("$('#suggestions').hide();", 200);
	}
	</script>
	<style type="text/css">
	.suggestionsBox {
		position:relative;
		left: -20px;
		top: -15px;
		margin: 10px 0px 0px 0px;
		width: 300px;
		background-color: #ffffff;
		-moz-border-radius: 7px;
		-webkit-border-radius: 7px;
		border: 2px solid #ccc;	
		color: #000;
	}
	
	.suggestionList {
		margin: 0px;
		padding: 0px;
	}
	
	.suggestionList li {
		
		margin: 0px 0px 3px 0px;
		padding: 3px;
		cursor: pointer;		
	}
	
	.suggestionList li:hover {
		background-color:#F2F2F2;		
	}

#Layer1 {
	position:absolute;
	left:17px;
	top:199px;
	width:265px;
	height:29px;
	z-index:1;
}
</style>

<style>
    /* Estilo personalizado para la capa flotante */
    .capa-flotante {
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 300px;
      padding: 20px;
      background-color: #BDCAD2;
      border: 1px solid #ccc;
      border-radius: 5px;
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
      z-index: 9999;
    }
</style>
</head>
<script languaje="javascript">
function envia2(id)
	{ 
	  //window.open("datosclientescon.php?id="+id,"","fullscreen=no, height=570,width=870,left=100,top=200,resizable = yes,scrollbars=yes,toolbar = no,status = no");						
	  location.href ='frmaporte.php?ida='+id;
	}
	
	function envia3(id)
	{ 
	  //window.open("datosclientescon.php?id="+id,"","fullscreen=no, height=570,width=870,left=100,top=200,resizable = yes,scrollbars=yes,toolbar = no,status = no");						
	  location.href ='frmdescuento.php?ida='+id;
	}
	
	function envia4(id)
	{ 
	  //window.open("datosclientescon.php?id="+id,"","fullscreen=no, height=570,width=870,left=100,top=200,resizable = yes,scrollbars=yes,toolbar = no,status = no");						
	  location.href ='frmfalta.php?ida='+id;
	}
/*function habilitar(form)
{
    if (form.tipo[1].selected == true)
    {
     form.ruc.disabled = true;
	 form.razons.disabled = true;
	 form.dni.focus();
    }
    else
    {  
        form.ruc.disabled= false;
	    form.razons.disabled= false;
	    form.ruc.focus();	  
    }
}*/
	</script>
<script language="javascript">
	function confirmLink(codigo)
	{	
		var is_confirmed = confirm("Realmente desea eliminar el registro: "+codigo);
		return is_confirmed;		
	}
	
	
	function salir(){ 
		document.frmMan.action='contenido.php';
		document.frmMan.submit();
		return true;			
	} 
</script>
<script language="javascript">	
	function validar(e) { // 1
    tecla = (document.all) ? e.keyCode : e.which; // 2
    if (tecla==8) return true; // 3
    patron =/[A-Za-z��\s]/; // 4
    te = String.fromCharCode(tecla); // 5
    return patron.test(te); // 6
} 
</script>	
<style>
.textotabla{font-size:11px;}
</style>
<body>
<div class="container">
      

    <h4>     <strong> Mantenimiento de Afiliado:</strong> 
      <button class="btn btn-success" data-title="AGREGAR" data-toggle="modal" data-target="#nuevo" ><span class="glyphicon glyphicon-plus"></span>Agregar</button>
	
      
	  <input type="button" name="Submit2" value="Salir" onClick="salir();" class="btn btn-danger">
	  
    </h4>
</div>
<div class="container">
	<form name="frmMan" method="post" action="manafiliado.php">
	<div class="col-md-9">
	Ingrese Nombres a consultar: <input name="txtbuscar" type="text" class="form-control-static" id="txtbuscar" onKeyUp="javascript:this.value=this.value.toUpperCase();"   />
	<input name="BtnBuscar" type="submit" id="BtnBuscar" value="CONSULTAR" class="btn btn-primary"/>
	  </div>
	</form>  
</div>
	<div class="container">
	<div class="row">		
	<!--  <div class="table-responsive"> table-striped nowrap" id="example"-->
	  <table width="99%" class="table ">
	  <thead>
        <tr>
          <th width="102" align="center" >DNI/RUC </th>
          <th width="223" align="center" >Afiliado </th>
          <th width="103" align="center" >Fecha Nac. </th>
          <th width="164" align="center" >Lugar Nac. </th>
          <th width="231" align="center">Ocupacion</th>
          <th width="159" align="center" >Grado Inst. </th>
          <th width="158" align="center" >Estado civil </th>
          <th width="155" align="center" >Fecha Afilia </th>
          <th width="275" align="center" >Grupo Sangre</th>
          <th colspan="5" align="center" >Acciones</th>
	    </tr>
		</thead>
		<tbody>
        <?php
		$objclie = new Afiliado();	
		$criterio = "";
		 $criterio =$_REQUEST['txtbuscar'];
		
				$listacont = $objclie->ListarPorAfiliado($criterio); 
		     
		////////////////////////////
		$TAMANO_PAGINA = 10;//Limito la busqueda			
			$pagina = $_GET["pagina"];//examino la p?gina a mostrar y el inicio del registro a mostrar
			if (!$pagina) {
				$inicio = 0;
				$pagina = 1;
			}
			else {
					$inicio = ($pagina - 1) * $TAMANO_PAGINA;
				}			
			$total_paginas = ceil(count($listacont) / $TAMANO_PAGINA);
			////////////////////////////////////////////////
		$listacon=$objclie->ListaPaginada($criterio,$inicio,$TAMANO_PAGINA);
				 				
		////////////////////////////
		 for($i = 0; $i < count($listacon); $i++)
		 {  
		    if($objubi->BuscarPorCodigo($listacon[$i]["lugarnac"])){
			      $listacon[$i]["nombre"] = $objubi->getnombre();
			  }
		?>
        <tr class="text-justify textotabla">
          <td align="left">
            <?=$listacon[$i]["dni"]."/".$listacon[$i]["ruc"];?>         </td>
          <td align="left"><?=$listacon[$i]["nombres"]." ".$listacon[$i]["apepat"]." ".$listacon[$i]["apemat"];?></td>
          <td align="left">
            <?=$listacon[$i]["fechanac"];?></td>
          <td align="left">
            <?=$listacon[$i]["nombre"];?>          </td>
          <td align="left">
            <?=$listacon[$i]["ocupacion"];?></td>
            <td align="left">
            <?=$listacon[$i]["gradoins"];?></td>
            <td align="left"><?=$listacon[$i]["estadocivil"];?></td>
            <td align="left"><?=$listacon[$i]["fecha_afilia"];?></td>
            <td align="left"><?=$listacon[$i]["sangre"];?></td>
          <td width="61" align="center"><a href="editafiliado.php?ida=<?=$listacon[$i]["idafiliado"];?>" class="btn btn-danger"><span class="glyphicon glyphicon-pencil"></span></a></td>
          <td width="61" align="center"><a href="perfil_familiar.php?ida=<?=$listacon[$i]["idafiliado"];?>" class="btn btn-default"><span class="glyphicon glyphicon-th"></span></a></td>
          <td width="57" align="center"><a href="javascript:envia2('<?=$listacon[$i]["idafiliado"];?>');" class="btn btn-warning" style="visibility:hidden"><span class="glyphicon glyphicon-bookmark"></span></a></td>
          <td width="40" align="center"><a href="javascript:envia3('<?=$listacon[$i]["idafiliado"];?>');" class="btn btn-primary" style="visibility:hidden"><span class="glyphicon glyphicon-sort-by-attributes"></span></a></td>
          <td width="44" align="center"><a href="javascript:envia4('<?=$listacon[$i]["idafiliado"];?>');" class="btn btn-info" style="visibility:hidden"><span class="glyphicon glyphicon-thumbs-down"></span></a></td>
        </tr>
        <?php	
		 }	
		?>
		</tbody>
      </table>
	<!--  </div>  -->
	  <div class="clearfix">
   </div>
   </div>
</div>	     
	  <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td width="20"  align="center" valign="top">&nbsp;</td>
          <td width="715"  align="center" valign="top"><?php 
		   if ($total_paginas > 1) {
   			if ($pagina != 1)
      			echo '<a href="'.$url.'?pagina='.($pagina-1).'" class="btn btn-default">Anterior</a>';
     		for ($i=1;$i<=$total_paginas;$i++) {
         		if ($pagina == $i)
            //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace
            	  echo $pagina;
                else
            //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente,
            //coloco el enlace para ir a esa p&aacute;gina
             ;//  echo '  <a href="'.$url.'?pagina='.$i.'">'.$i.'</a>  ';
          } //echo '...  <a href="'.$url.'?pagina='.$i.'">'.$total_paginas.'</a>  ';
           if ($pagina != $total_paginas)
              echo '<a href="'.$url.'?pagina='.($pagina+1).'" class="btn btn-default">Siguiente</a>';
         }
?></td>
        </tr>
        <tr>
          <td  align="center" valign="top">&nbsp;</td>
          <td  align="center" valign="top"><?  echo "<font face='verdana' size='-2'>Total encontrados: ".count($listacont)." registros<br>";?></td>
        </tr>
      </table>
	  


<script>



function guardar(f)
	{
 
	if(f.dni.value==""){
		f.dni.focus();
		alert("INGRESE DNI");
		return false;
	}
   
	if(f.nombres.value==""){
		f.nombres.focus();
		alert("INGRESE NOMBRE");
		return false;
	}
	
	if(f.apepaterno.value==""){
		f.apepaterno.focus();
		alert("INGRESE APELLIDO");
		return false;
	}
		
	if(f.apematerno.value==""){
		f.apematerno.focus();
		alert("INGRESE EL APELLIDO");
		return false;
	}
	
	if(f.fechanac.value==""){
		f.fechanac.focus();
		alert("INGRESE FECHA DE NACIMIENTO");
		return false;
	}
	
	if(f.lugarnac.value==""){
		f.lugarnac.focus();
		alert("INGRESE LUGAR DE NACIMIENTO");
		return false;
	}
	
	if(f.ocupacion.value==""){
		f.ocupacion.focus();
		alert("INGRESE OCUPACION");
		return false;
	}
	
	if(f.gradoins.value==""){
		f.gradoins.focus();
		alert("INGRESE EL GRADO DE INSTRUCCION");
		return false;
	}
	
	if(f.estadocivil.value==""){
		f.estadocivil.focus();
		alert("INGRESE ESTADO CIVIL");
		return false;
	}
	
	if(f.numafiliado.value==""){
		f.numafiliado.focus();
		alert("INGRESE EL NRO AFILIADO");
		return false;
	}
	
	if(f.sangre.value==""){
		f.sangre.focus();
		alert("INGRESE EL GRUPO SANGUINEO");
		return false;
	}
	
	if(f.fecha_afilia.value==""){
		f.fecha_afilia.focus();
		alert("INGRESE FECHA DE AFILIACION");
		return false;
	}
	
	if(f.domicilio.value==""){
		f.domicilio.focus();
		alert("INGRESE EL DOMICILIO");
		return false;
	}
	
	
		f.action='controladores/AfiliadoController.php';
		f.submit();
		return true;	
	}
</script>
	 
<form name="form1" id="formularioaenviar" action="" method="post" >

<div class="modal fade" id="nuevo" tabindex="-1" role="dialog" aria-labelledby="nuevo" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
        <h4 class="modal-title custom_align" id="Heading">Registro de Afiliado</h4>
      </div>
          <div class="modal-body">
          <div class="form-group">
		    <div class="row">
			  <div class="col-md-3">
		        <input name="dni" type="text" class="form-control" value="<?=$vdni;?>" size="8" maxlength="8"  placeholder="DNI" />
			  </div>
			  <div class="col-md-2">
	        		<button type="button" class="btn btn-primary" name="abc" id="abc">B</button>	     		
	  		  </div>
			  <div class="col-md-7">  
		        <input name="nombres" id="nombres" type="text" class="form-control" onKeyUp="javascript:this.value=this.value.toUpperCase();"  placeholder="Nombres"/>
			  </div>
			</div>
			<br>
			<div class="row">
			  <div class="col-md-4">
			  <input name="apepaterno" id="apepaterno" type="text" class="form-control" onKeyUp="javascript:this.value=this.value.toUpperCase();"  placeholder="apellido Paterno"/>
			  </div>
			  <div class="col-md-4">
			  <input name="apematerno" id="apematerno" type="text" class="form-control" onKeyUp="javascript:this.value=this.value.toUpperCase();"  placeholder="apellido Materno"/>
			  </div>
			</div>
			
		  </div>
		  
		  <div class="form-group">
		    <div class="row">
			  <div class="col-md-4">
			    <input name="fechanac" type="text"  class="form-control" value="" size="15" placeholder="Fecha nac."/>
		        
			  </div>			  
			  <div class="col-md-8">  
		        <input name="txtbuscar" type="text" autocomplete="off" id="inputString" onKeyUp="lookup(this.value);" onBlur="fill();" placeholder="Seleccione ubigeo" value="" class="form-control"/>
														<div class="suggestionsBox capa-flotante" id="suggestions" style="display:none; float:left">				
															<div class="suggestionList" id="autoSuggestionsList" >
															
								&nbsp;						</div>
														</div><input name="lugarnac" type="hidden"  id="inputString2" value="">
			  </div>
			</div>
		  </div>
		  
		<div class="form-group">
		<input name="ocupacion" type="text" class="form-control" onKeyUp="javascript:this.value=this.value.toUpperCase();" placeholder="Ocupacion"/>		
		</div>	
		<div class="form-group">
	        		<select name="gradoins" class="form-control">
					        <option value="">[Grado de instruccion]</option>						    
							<option value="SUPERIOR UNIVERSITARIO">SUPERIOR UNIVERSITARIO</option>
							<option value="TECNICO PROFESIONAL">TECNICO PROFESIONAL</option>
							<option value="SECUNDARIA">SECUNDARIA</option>
							<option value="PRIMARIA">PRIMARIA</option>
                          </select>
	  	</div>	
		<div class="form-group">
		<select name="estadocivil" class="form-control">
						   <option value="">[Estado civil]</option>
							<option value="SOLTERO">SOLTERO</option>
							<option value="CASADO">CASADO</option>
							<option value="VIUDO">VIUDO</option>
							<option value="DIVORSIADO">DIVORSIADO</option>
                          </select> 
		</div>
		<div class="form-group">		
		 <input name="ruc" type="text" size="11" class="form-control" placeholder="RUC"/>
		</div>
		<div class="form-group" >
		 <input type="text" name="numafiliado" class="form-control" value="" placeholder="Nro Afiliado"/>
		</div>
		<div class="form-group">
		  <div class="row">
		     <div class="col-md-3">
		     <input name="sangre" type="text" value="" class="form-control"  placeholder="Grupo sanguineo">
			 </div>
			 <div class="col-md-3">
		     <input name="fecha_afilia" type="text"  class="form-control" value="" placeholder="Fecha Afiliacion"/>
			 </div>
		  </div>
		  <br>
		  <div class="row">
		     <div class="col-md-9">
		     <input name="domicilio" type="text" value="" class="form-control" placeholder="Domicilio">
			 </div>			 
		  </div>		  
        </div> 
		<div class="form-group">
		  Foto <input type="file" name="file"><input type="hidden" name="MAX_FILE_SIZE" value="4000000"><input name="txtpara" type="hidden" value="R">
		</div>    
      </div>
          <div class="modal-footer ">
        <button type="button" class="btn btn-warning btn-lg" style="width: 100%;" onClick="guardar(this.form);"><span class="glyphicon glyphicon-ok-sign"></span>Guardar</button>
		
      </div>
        </div>
    <!-- /.modal-content --> 
  </div>
      <!-- /.modal-dialog --> 
    </div>
 </form>  
 
  <script type="text/javascript">
  /*
$(document).ready(function(){
$("#mytable #checkall").click(function () {
        if ($("#mytable #checkall").is(':checked')) {
            $("#mytable input[type=checkbox]").each(function () {
                $(this).prop("checked", true);
            });

        } else {
            $("#mytable input[type=checkbox]").each(function () {
                $(this).prop("checked", false);
            });
        }
    });
    
    $("[data-toggle=tooltip]").tooltip();
});
*/
</script>
</body>
</html>


